Package twisted :: Package internet :: Module interfaces :: Class IReactorThreads

[frames | no frames]

## Class IReactorThreads

    Interface --+
                |
               IReactorThreads

Dispatch methods to be run in threads.

Internally, this should use a thread pool and dispatch methods to them.

Method Summary
| ``callFromThread`(self, callable, *args, **kw)` Call a function from within another (i.e.
| ``callInThread`(self, callable, *args, **kwargs)` Run the callable object in a separate thread.
| ``suggestThreadPoolSize`(self, size)` Suggest the size of the thread pool.

Method Details

### callFromThread(self, callable, *args, **kw)

Call a function from within another (i.e. non-reactor) thread.

Use this method when you want to run a function in the reactor's thread from another thread. Calling callFromThread should wake up the main thread (where reactor.run() is executing) and run the given callable in that thread.

Obviously, the callable must be thread safe. (If you want to call a function in the next mainloop iteration, but you're in the same thread, use callLater with a delay of 0.)

### callInThread(self, callable, *args, **kwargs)

Run the callable object in a separate thread.

### suggestThreadPoolSize(self, size)

Suggest the size of the thread pool.

Generated by Epydoc 2.0 on Sat May 15 20:08:43 2004 | http://epydoc.sf.net